<template>
  <div class="about-box">
    <div class="about-box-inner">
      <h1>LEE COMSTOCK</h1>
      <h2>About The Creator</h2>
      <p>
      Hi, I'm Lee Comstock
      </p>
      <p>
      I'm an artist, a software developer, a father, and a bunch of other
      things.
      </p>
      <p>
      I currently work in web development, and I'm especially interested in any opportunity to
      work remote. The game you're looking at now is developed with Vue, Vuex and TypeScript
      </p>
      <p>
      I started learning code making flash games a long time ago, and since then I've made a
      couple smartphone games, and currently working on some physical board games and card games
      </p>
      <p>
      I do my best to eat as vegan as possible, because I believe
      in freedom for all life in this world. I question both corporate and state power,
      which doesn't give me much to vote for, but if you ask me it's all coming down anyway
      </p>
      <p>
      I just want to live up to my potential before it all comes crashing down
      </p>
      <p>
      Peace
      </p>
      <p>
        <a href="https://gitlab.com/lee.comstock" target="_blank">Gitlab</a>
        <a href="https://github.com/Volcanic-Penguin" target="_blank">Github</a>
        <a href="http://volcanicpenguin.st/" target="_blank">Personal Website</a>
        <a href="https://www.linkedin.com/in/lee-comstock-79333592/" target="_blank">LinkedIn</a>
        <a href="mailto: lee_comstock@hotmail.com">Email</a>
      </p>
    </div>
  </div>
</template>

<script lang="ts">
export default {
}
</script>

<style lang="scss">
.about-box {
  position: fixed;
  top: 80px;
  right: 20px;
  background: #26282c;
  padding: 20px;
  border-radius: 50px;
  box-shadow: 0 10px 10px #0005;
  height: 0;
  width: 100px;
  overflow: hidden;
  transition: 0.5s;
  user-select: none;
  z-index: 0;
  &:hover {
    width: 300px;
    top: 0;
    right: 0;
    height: 100vh;
    border-radius: 0;
    z-index: 100;
    .about-box-inner {
      margin: 0;
      h2 {
        font-size: 20px;
        padding: 10px;
      }
    }
  }
  .about-box-inner {
    transition: 0.5s;
    width: 300px;
    margin: -121px 0px 0px 2px;
    h2 {
      transition: 0.5s;
      font-size: 10px;
      padding: 20px 10px;
    }
  }
  h1, h2, p {
    padding: 8px 10px;
  }
  h1 {
    letter-spacing: 10px;
  }
  h2 {
    color: #e0526d;
  }
  p {
    font-size: 12px;
  }
  a {
    color: #ffab56;
    margin: 0 20px 20px 0;
    display: inline-flex;
  }
}
</style>
